summaryrefslogtreecommitdiffstats
path: root/network/avahi/avahi.SlackBuild
diff options
context:
space:
mode:
author David Somero2010-05-12 17:43:00 +0200
committer Robby Workman2010-05-12 17:43:00 +0200
commitb850afe2a72970b5e05d1d1c33930c62e29588cf (patch)
tree6f1658de516bea1ddf8c21a8771dd720504dc205 /network/avahi/avahi.SlackBuild
parent7e284861aa8bc796729f94830aea1d80c6d7ad6e (diff)
downloadslackbuilds-b850afe2a72970b5e05d1d1c33930c62e29588cf.tar.gz
network/avahi: Updated for version 0.6.25
Diffstat (limited to 'network/avahi/avahi.SlackBuild')
-rw-r--r--network/avahi/avahi.SlackBuild57
1 files changed, 48 insertions, 9 deletions
diff --git a/network/avahi/avahi.SlackBuild b/network/avahi/avahi.SlackBuild
index c7462975dd..5887d37cdb 100644
--- a/network/avahi/avahi.SlackBuild
+++ b/network/avahi/avahi.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for avahi
-# Copyright 2008 David Somero <dsomero@hotmail.com>
+# Copyright 2008 David Somero <dsomero@hotmail.com> Athens,TN USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=avahi
-VERSION=0.6.22
+VERSION=0.6.25
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -33,6 +33,20 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+# Support for QT4
+if [ "${QT4:-no}" = "no" ]; then
+ QT4="--disable-qt4"
+else
+ QT4="--enable-qt4"
+fi
+
+# Support for mono
+if [ "${MONO:-no}" = "no" ]; then
+ MONO="--disable-mono"
+else
+ MONO="--enable-mono"
+fi
+
if [ "${ARCH}" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
@@ -41,13 +55,29 @@ elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
fi
+warn_accounts() {
+ echo " You must have an avahi user and group to run this script. "
+ echo " Something like this should suffice for most systems: "
+ echo " # groupadd -g 214 avahi"
+ echo " # useradd -u 214 -g 214 -c "Avahi" -d /dev/null -s /bin/false avahi"
+ exit 1
+}
+
+# Bail if user and/or group isn't valid on your system
+if ! grep -q "^avahi:" /etc/passwd; then
+ warn_accounts
+fi
+if ! grep -q "^avahi:" /etc/group ; then
+ warn_accounts
+fi
+
set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R a-s,u+w,go+r-w .
@@ -61,10 +91,15 @@ CXXFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--docdir=/usr/doc/$PRGNAM-$VERSION \
--disable-static \
- --disable-qt4 \
- --disable-mono \
--disable-monodoc \
--disable-autoipd \
+ --enable-python-dbus \
+ --enable-pygtk\
+ --enable-glib \
+ --enable-dbus \
+ --enable-python \
+ --enable-gtk \
+ --enable-qt3 \
--enable-core-docs \
--enable-compat-howl \
--enable-compat-libdns_sd \
@@ -75,28 +110,32 @@ CXXFLAGS="$SLKCFLAGS" \
--with-distro=slackware \
--program-prefix= \
--program-suffix= \
+ $MONO \
+ $QT4 \
--build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
-( cd $PKG/usr/man
+( cd $PKG/usr/man || exit 1
find . -type f -exec gzip -9 {} \;
for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a LICENSE docs/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mv $PKG/etc/rc.d/rc.avahidaemon $PKG/etc/rc.d/rc.avahidaemon.new
mv $PKG/etc/rc.d/rc.avahidnsconfd $PKG/etc/rc.d/rc.avahidnsconfd.new